### Method

# Cogl Bitmap get_buffer

#### Declaration [src]

    CoglPixelBuffer*
    cogl_bitmap_get_buffer (
      CoglBitmap* bitmap
    )

#### Description

No description available.

This method is not directly available to language bindings.

#### Return value

Type: `CoglPixelBuffer*`

The `CoglPixelBuffer` that this buffer uses for storage. Note that if the bitmap was created with `cogl_bitmap_new_from_file()` then it will not actually be using a pixel buffer and this function will return `NULL`.

The data is owned by the instance.